package com.gic.haoban.manage.web.vo.order;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @description: 这里是描述文字
 * @author: 巴弗
 * @createDate: 2023/2/20 15:42
 */
public class OrderListVO implements Serializable {

    private static final long serialVersionUID = 5215230055823016992L;

    /**
     *订单来源类型
     * @see com.gic.business.order.enums.OrderEnum.BusinessTypeEnum
     */
    private Integer businessType;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 下单时间
     */
    private Date createTime;

    /**
     * 订单来源 0:会员自行购买 1导购推荐订单 （原字段为 订单类型：0:微商城 1:导购推荐订单）
     */
    private Integer orderType;

    /**
     * 会员ID
     */
    private String memberId;

    /**
     * 会员姓名
     */
    private String memberRealName;

    /**
     * 会员卡号
     */
    private String memberCardNum;

    /**
     * 订单流程阶段 0交易关闭 1未付款（待付款、等待买家付款） 2已付款未发货（待发货、买家已付款） 3已发货未签收（待收货、已发货） 4已确认交易结束,5已发货订单项退款中,6待付款订单项退款中,7部分发货
     */
    private String orderStep;

    /**
     * 实付金额 不含运费
     */
    private Double payAmount;
    
    // 使用积分
    private Integer usePoint ;

    /**
     * 最终实际运费（可手动修改）
     */
    private Double actualFreight;

    /**
     * 订单项列表
     */
    private List<OrderListItemVO> orderItemList;

    private String belongClerkId;
    private String belongStoreId;
    
    private String belongClerkName ;
    // 自提时间
    private Date pickUpTime ;
    // 应付总额
    private Double mallProAllPrice ;
    /**
     * 核销吗code
     */
    private String writeOffCode;
    
    /**
     * 核销导购code
     */
    private String writeOffClerkCode;

    // 核销导购
    private String verificationClerkName ;

    /**
     * 核销导购ID
     */
    private String writeOffClerkId;
    
    /**
     * 评价
     */
    private EvaluateVO evaluateVO;

    // 2 会员自主核销
    private Integer deliveryOptType ;

    public Integer getDeliveryOptType() {
        return deliveryOptType;
    }

    public void setDeliveryOptType(Integer deliveryOptType) {
        this.deliveryOptType = deliveryOptType;
    }

    public Integer getUsePoint() {
        return usePoint;
    }

    public void setUsePoint(Integer usePoint) {
        this.usePoint = usePoint;
    }

    public Integer getBusinessType() {
        return businessType;
    }

    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }

    public String getVerificationClerkName() {
        return verificationClerkName;
    }

    public void setVerificationClerkName(String verificationClerkName) {
        this.verificationClerkName = verificationClerkName;
    }

    public String getWriteOffClerkCode() {
        return writeOffClerkCode;
    }


    public String getWriteOffClerkId() {
        return writeOffClerkId;
    }

    public void setWriteOffClerkCode(String writeOffClerkCode) {
        this.writeOffClerkCode = writeOffClerkCode;
    }

    public void setWriteOffClerkId(String writeOffClerkId) {
        this.writeOffClerkId = writeOffClerkId;
    }

    public String getWriteOffCode() {
        return writeOffCode;
    }

    public void setWriteOffCode(String writeOffCode) {
        this.writeOffCode = writeOffCode;
    }

    public EvaluateVO getEvaluateVO() {
        return evaluateVO;
    }

    public void setEvaluateVO(EvaluateVO evaluateVO) {
        this.evaluateVO = evaluateVO;
    }

    public Double getMallProAllPrice() {
        return mallProAllPrice;
    }

    public void setMallProAllPrice(Double mallProAllPrice) {
        this.mallProAllPrice = mallProAllPrice;
    }

    public Date getPickUpTime() {
        return pickUpTime;
    }

    public void setPickUpTime(Date pickUpTime) {
        this.pickUpTime = pickUpTime;
    }

    public String getBelongClerkName() {
        return belongClerkName;
    }

    public void setBelongClerkName(String belongClerkName) {
        this.belongClerkName = belongClerkName;
    }

    public String getBelongClerkId() {
        return belongClerkId;
    }

    public String getBelongStoreId() {
        return belongStoreId;
    }

    public void setBelongClerkId(String belongClerkId) {
        this.belongClerkId = belongClerkId;
    }

    public void setBelongStoreId(String belongStoreId) {
        this.belongStoreId = belongStoreId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberRealName() {
        return memberRealName;
    }

    public void setMemberRealName(String memberRealName) {
        this.memberRealName = memberRealName;
    }

    public String getMemberCardNum() {
        return memberCardNum;
    }

    public void setMemberCardNum(String memberCardNum) {
        this.memberCardNum = memberCardNum;
    }

    public String getOrderStep() {
        return orderStep;
    }

    public void setOrderStep(String orderStep) {
        this.orderStep = orderStep;
    }

    public Double getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }

    public Double getActualFreight() {
        return actualFreight;
    }

    public void setActualFreight(Double actualFreight) {
        this.actualFreight = actualFreight;
    }

    public List<OrderListItemVO> getOrderItemList() {
        return orderItemList;
    }

    public void setOrderItemList(List<OrderListItemVO> orderItemList) {
        this.orderItemList = orderItemList;
    }
}
